Hey together,

I need to link openssl for my project which will run on a AURIX TC275TP-64 later.

I have problems getting the correct version of openssl for the tricore-gcc. Using the normal openssl libs (eg. for mingw) it cannot link and I receive undefined references.
Therefore i tried to crosscompile the openssl libraries for tricore-gcc usage using this manual.

in the configure file which is included in the repository, I can chose the compiler for which it should be cross compiled, but there is no tricore-gcc. I tried with gcc but still get the same linker errors.

Has anybody encountered the same problem? How can i solve this problem?

Best regards,

jonnyx